package templates

import (
	"html/template"
	"path/filepath"
)

var Pages = map[string]*template.Template{
    "index": template.Must(template.ParseFiles(
        filepath.Join("views", "layout.html"),
        filepath.Join("views", "header.html"),
        filepath.Join("views", "footer.html"),
        filepath.Join("views", "prideflag.html"),
        filepath.Join("views", "index.html"),
    )),
    "music": template.Must(template.ParseFiles(
        filepath.Join("views", "layout.html"),
        filepath.Join("views", "header.html"),
        filepath.Join("views", "footer.html"),
        filepath.Join("views", "prideflag.html"),
        filepath.Join("views", "music.html"),
    )),
    "music-gateway": template.Must(template.ParseFiles(
        filepath.Join("views", "layout.html"),
        filepath.Join("views", "header.html"),
        filepath.Join("views", "footer.html"),
        filepath.Join("views", "prideflag.html"),
        filepath.Join("views", "music-gateway.html"),
    )),
}

var Components = map[string]*template.Template{
}
